Skip to main content

Templates

Endpoint​

GET /api/v1/pipelines/:org/:repo/:pipeline/templates

Parameters​

The following parameters are used to configure the endpoint:

NameDescription
orgname of organization
reponame of repository
pipelinecommit SHA for pipeline from repository
outputformat the output for the compiled pipeline configuration

Permissions​

COMING SOON!

Responses​

Status CodeDescription
200indicates the request has succeeded
400unable to retrieve the pipeline configuration templates
401indicates the user does not have proper permissions
404unable to retrieve the pipeline configuration or templates
500system error while retrieving the pipeline configuration templates

Sample​

warning

This section assumes you already know how to authenticate to the API.

To authenticate to the API, please review the authentication documentation.

Request​

curl \
-X GET \
-H "Authorization: Bearer <token>" \
"http://127.0.0.1:8080/api/v1/pipelines/github/octocat/48afb5bdc41ad69bf22588491333f7cf71135163/templates"

Response​

some_template:
link: https://github.com/github/octocat/blob/main/template.yml
name: some_template
source: github.com/github/octocat/template.yml
type: github
{
"some_template": {
"link": "https://github.com/github/octocat/blob/main/template.yml",
"name": "some_template",
"source": "github.com/github/octocat/template.yml",
"type": "github"
},
}